Page Summary
-
Updates a vehicle's information using a
PATCHrequest to the specified URL. -
The request requires the vehicle's identifier in the URL path and allows specifying fields to update using the
updateMaskquery parameter. -
The request body and successful response both contain a
Vehicleobject with the updated information.
Updates a Vehicle.
HTTP request
PATCH https://middlemileoptimization.googleapis.com/v1/{vehicle.name=networks/*/vehicles/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
vehicle. |
Identifier. Cannot be updated. |
Query parameters
| Parameters | |
|---|---|
update |
Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of Vehicle.
Response body
If successful, the response body contains an instance of Vehicle.